Skip to main content
`Ctrl`+`K`

# VecScatterCopy

Makes a copy of a scatter context.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterCopy(VecScatter sf, VecScatter *newsf)

Collective

## Input Parameter

- sf - the scatter context

## Output Parameter

- newsf - the context copy

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterType`, `VecScatterCreate()`, `VecScatterDestroy()`

## Level

advanced

## Location

src/vec/vec/utils/vscat.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages